<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# contextwatch

```text
usage: contextwatch [-h] [{eval,execute}] expression

```

Adds an expression to be shown on context.

To remove an expression, see `cunwatch`.

**Aliases:** ctx-watch, cwatch
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|cmd|Command to be used with the expression. - eval: the expression is parsed and evaluated as in the debugged language. - execute: the expression is executed as a GDB command. (default: 'eval')|
|expression|The expression to be evaluated and shown in context|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|

### Examples
```text
For watching variables/expressions:
    cwatch BUF
    cwatch ITEMS[0]

For running commands:
    cwatch execute "ds BUF"
    cwatch execute "x/20x $rsp"
    cwatch execute "info args"
```

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
